收集 Pure Storage 日志
本文档介绍了如何使用 Bindplane 代理将 Pure Storage 日志注入到 Google Security Operations。
Pure Storage 提供可生成审核、性能和系统事件日志的全闪存企业存储阵列。FlashArray 和 FlashBlade 平台支持以原生方式转发系统事件、审核轨迹和运营提醒的 syslog。Pure Storage 阵列可配置为使用 Purity GUI、CLI 或 REST API 转发 syslog。
准备工作
请确保满足以下前提条件:
- Google SecOps 实例
- Windows Server 2016 或更高版本,或者具有
systemd的 Linux 主机 - Bindplane 代理与 Pure Storage FlashArray 之间的网络连接
- 如果在代理后面运行,请确保防火墙端口已根据 Bindplane 代理要求打开
- 对 Pure Storage FlashArray 或 FlashBlade 管理界面的特权访问权限
获取 Google SecOps 注入身份验证文件
- 登录 Google SecOps 控制台。
- 依次前往 SIEM 设置 > 收集代理。
- 下载数据注入身份验证文件。
将文件安全地保存在将要安装 Bindplane 的系统上。
获取 Google SecOps 客户 ID
- 登录 Google SecOps 控制台。
- 依次前往 SIEM 设置 > 配置文件。
复制并保存组织详细信息部分中的客户 ID。
安装 Bindplane 代理
按照以下说明在 Windows 或 Linux 操作系统上安装 Bindplane 代理。
Windows 安装
- 以管理员身份打开命令提示符或 PowerShell。
运行以下命令:
msiexec /i "https://github.com/observIQ/bindplane-agent/releases/latest/download/observiq-otel-collector.msi" /quiet等待安装完成。
运行以下命令,验证安装是否成功:
sc query observiq-otel-collector该服务应显示为 正在运行。
Linux 安装
- 打开具有 root 或 sudo 权限的终端。
运行以下命令:
sudo sh -c "$(curl -fsSlL https://github.com/observiq/bindplane-agent/releases/latest/download/install_unix.sh)" install_unix.sh等待安装完成。
运行以下命令,验证安装是否成功:
sudo systemctl status observiq-otel-collector该服务应显示为有效(正在运行)。
其他安装资源
如需了解其他安装选项和问题排查信息,请参阅 Bindplane 代理安装指南。
配置 Bindplane 代理以注入 syslog 并将其发送到 Google SecOps
找到配置文件
Linux:
sudo nano /opt/observiq-otel-collector/config.yamlWindows:
notepad "C:\Program Files\observIQ OpenTelemetry Collector\config.yaml"
修改配置文件
将
config.yaml的全部内容替换为以下配置:receivers: udplog: listen_address: "0.0.0.0:514" exporters: chronicle/pure_storage: compression: gzip creds_file_path: '/etc/bindplane-agent/ingestion-auth.json' customer_id: '<customer_id>' endpoint: malachiteingestion-pa.googleapis.com log_type: PURE_STORAGE raw_log_field: body ingestion_labels: env: production service: pipelines: logs/pure_to_chronicle: receivers: - udplog exporters: - chronicle/pure_storage
配置参数
替换以下占位符:
接收器配置:
udplog:基于协议的接收器类型:udplog(适用于 UDP syslog)tcplog(适用于 TCP syslog)
0.0.0.0:要监听的 IP 地址:0.0.0.0侦听所有接口(推荐)- 在某个接口上监听的特定 IP 地址
514:要监听的端口号(例如514、1514、6514)
导出器配置:
pure_storage:导出器的描述性名称creds_file_path:提取身份验证文件的完整路径:- Linux:
/etc/bindplane-agent/ingestion-auth.json - Windows:
C:\Program Files\observIQ OpenTelemetry Collector\ingestion-auth.json
- Linux:
<customer_id>:上一步中的客户 IDendpoint:区域端点网址:- 美国:
malachiteingestion-pa.googleapis.com - 欧洲:
europe-malachiteingestion-pa.googleapis.com - 亚洲:
asia-southeast1-malachiteingestion-pa.googleapis.com - 如需查看完整列表,请参阅区域级端点
- 美国:
PURE_STORAGE:日志类型,与在 Chronicle 中显示的完全一致ingestion_labels:YAML 格式的可选标签(例如env: production)
流水线配置:
pure_to_chronicle:流水线的描述性名称
保存配置文件
- 修改后,保存文件:
- Linux:依次按
Ctrl+O、Enter和Ctrl+X - Windows:依次点击文件 > 保存
- Linux:依次按
重启 Bindplane 代理以应用更改
如需在 Linux 中重启 Bindplane 代理,请运行以下命令:
sudo systemctl restart observiq-otel-collector验证服务是否正在运行:
sudo systemctl status observiq-otel-collector检查日志是否存在错误:
sudo journalctl -u observiq-otel-collector -f
如需在 Windows 中重启 Bindplane 代理,请选择以下选项之一:
以管理员身份运行命令提示符或 PowerShell:
net stop observiq-otel-collector && net start observiq-otel-collector服务控制台:
- 按
Win+R,输入services.msc,然后按 Enter 键。 - 找到 observIQ OpenTelemetry 收集器。
- 右键点击并选择重新启动。
验证服务是否正在运行:
sc query observiq-otel-collector检查日志是否存在错误:
type "C:\Program Files\observIQ OpenTelemetry Collector\log\collector.log"
- 按
配置 Pure Storage syslog 转发
Pure Storage FlashArray 和 FlashBlade 阵列支持原生 syslog 转发。您可以使用 GUI、CLI 或 REST API 将阵列配置为将审核和系统事件日志发送到 Bindplane 代理。
方法 1:使用 Purity GUI 配置 syslog
- 登录 Pure Storage FlashArray 管理界面。
- 依次前往设置> 系统 > Syslog 服务器。
- 点击添加(或 + 图标)以添加新的 syslog 目标。
- 在服务器字段中,输入 Bindplane 代理主机 IP 地址。
- 在端口字段中,输入与 Bindplane 代理接收器配置相匹配的端口(默认值为 UDP
514)。 - 点击保存。
选项 2:使用 Purity CLI 配置 syslog
- 通过 SSH 连接到 FlashArray。
将 syslog 服务器设置为 Bindplane 代理主机:
purearray setattr --syslogserver <bindplane_agent_ip>验证配置:
purearray list --syslogserver
方法 3:使用 REST API 配置 syslog
使用 Pure Storage REST API (v2) 以编程方式配置 syslog 服务器:
curl -X POST "https://FLASHARRAY_HOST/api/2.x/syslog-servers" \ -H "Authorization: Bearer API_TOKEN" \ -H "Content-Type: application/json" \ -d '{"uri": "udp://<bindplane_agent_ip>:514", "name": "chronicle-syslog"}'
UDM 映射表
| 日志字段 | UDM 映射 | 逻辑 |
|---|---|---|
| message_id、payload.effective_used、payload.total_extents、payload.legacy_effective_used、payload.legacy_total_extents、payload.data_reduction、payload.product、payload.array_id、signature、Method、array_name、Controller、Interface、Module | additional.fields | 其他特定于供应商的元数据 |
| 说明 | metadata.description | 事件的说明 |
| 时间戳 | metadata.event_timestamp | 事件发生时的时间戳 |
| metadata.event_type | 事件类型 | |
| 操作 | metadata.product_event_type | 特定于产品的事件类型 |
| payload.version | metadata.product_version | 生成相应事件的产品的版本 |
| 子位置 | network.http.parsed_user_agent | 已解析的用户代理信息 |
| 子位置 | network.http.user_agent | HTTP 请求中的用户代理字符串 |
| 会话 | network.session_id | 网络会话的标识符 |
| host_name | principal.asset.hostname | 与正文相关联的资产的主机名 |
| 位置 | principal.asset.ip | 与正文相关联的资产的 IP 地址 |
| host_name | principal.hostname | 与正文相关联的主机名 |
| 位置 | principal.ip | 主账号的 IP 地址 |
| 用户 | principal.user.userid | 主账号的用户 ID |
| 结果 | security_result.summary | 安全结果或操作的摘要 |
| metadata.product_name | 生成相应事件的产品的名称 | |
| metadata.vendor_name | 生成相应事件的供应商的名称 |